com.rscja.deviceapi.entity

## Class RadarLocationEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.RadarLocationEntity

-     public class RadarLocationEntity
      extends java.lang.Object

  回调数据实体类型 (Callback data entity type)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RadarLocationEntity.Builder` 标签实体构造器 (Constructor for label entities)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadarLocationEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAngle()` 获取标签的方位角 (Get the azimuth of the label)
    `java.lang.String` | `getTag()` 获取标签值 (Get the value of the label)
    `int` | `getUhfBank()` 获取标签的类型 (Get the type of label) `#IUHF.Bank_RESERVED`、`#IUHF.Bank_EPC`、`#IUHF.Bank_TID`、`#IUHF.Bank_USER`
    `int` | `getValue()` 获取标签的信号值 (Get the signal value of the tag)
    `void` | `setAngle(int angle)` 设置标签的方位角 (Set the azimuth of the label)
    `void` | `setValue(int value)` 设置标签的信号值 (Set the signal value of the label)
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadarLocationEntity

          public RadarLocationEntity()

  - ### Method Detail

    - #### getTag

          public java.lang.String getTag()

      获取标签值 (Get the value of the label)
      Returns:
        标签值 (The value of the label)

    - #### getAngle

          public int getAngle()

      获取标签的方位角 (Get the azimuth of the label)
      Returns:
        标签的方位角(The azimuth of the label)

    - #### getValue

          public int getValue()

      获取标签的信号值 (Get the signal value of the tag)
      Returns:
        标签的信号值 (The signal value of the tag)

    - #### getUhfBank

          public int getUhfBank()

      获取标签的类型 (Get the type of label) `#IUHF.Bank_RESERVED`、`#IUHF.Bank_EPC`、`#IUHF.Bank_TID`、`#IUHF.Bank_USER`
      Returns:
        标签类型 (The type of label)

    - #### setValue

          public void setValue(int value)

      设置标签的信号值 (Set the signal value of the label)
      Parameters:
        `value` - 标签的信号值 (The signal value of the label)

    - #### setAngle

          public void setAngle(int angle)

      设置标签的方位角 (Set the azimuth of the label)
      Parameters:
        `angle` - 标签的方位角 (The azimuth of the label)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`